Public Class clsWrpMsg
    Private WithEvents frmMessage As New frmWrpMsg
    Private WithEvents tmrClose As Timer

    Private mstrImgFile As String
    Private mintRtnCode As Integer
    Private mintSelection As Integer
    Public gstrRtnCode As String

    Public WriteOnly Property pImgFile() As String
        Set(ByVal strValue As String)
            mstrImgFile = strValue
        End Set
    End Property

    Public WriteOnly Property pSelection() As Integer
        Set(ByVal strValue As Integer)
            mintSelection = strValue
        End Set
    End Property

    Public ReadOnly Property pRtnCode() As String
        Get
            pRtnCode = mintRtnCode
        End Get
    End Property

    Public Sub sMsgBox()

        frmMessage.pImgFile = mstrImgFile
        frmMessage.pSelection = mintSelection

        'frmMessage.Show()
        frmMessage.ShowDialog()

        mintRtnCode = frmMessage.pRtnCode

        frmMessage.Dispose()

    End Sub

    Private Sub tmrClose_Tick(ByVal sender As Object, ByVal e As System.EventArgs) Handles tmrClose.Tick

        System.Threading.Thread.Sleep(4000)
        frmMessage.Dispose()
        tmrClose.Dispose()
        gstrRtnCode = "OK"
    End Sub
End Class
